%define		_class		HTTP
%define		_subclass	WebDAV
%define		upstream_name	%{_class}_%{_subclass}_Server

Name:		php-pear-%{upstream_name}
Version:	0.99.1
Release:	17
Summary:	WebDAV Server Baseclass
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/HTTP_WebDAV_Server/
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tar.bz2
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear-HTTP >= 1.0
BuildArch:	noarch
BuildRequires:	php-pear

%description
Mostly RFC2518 compliant helper class for WebDAV server
implementation.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install

cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/docs
rm -rf %{buildroot}%{_datadir}/pear/tests

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%clean



%files
%defattr(-,root,root)
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml
%{_datadir}/pear/doc/HTTP_WebDAV_Server/README
%{_datadir}/pear/doc/HTTP_WebDAV_Server/dav.txt
%{_datadir}/pear/doc/HTTP_WebDAV_Server/db/Fileserver.sql

%changelog
